import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/kq/reportshare/getHasRight', 'GET', params);
}

export const getRightMenu = (params) => {
	return WeaTools.callApi('/api/kq/reportshare/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/kq/reportshare/getSearchCondition', 'GET', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/kq/reportshare/getSearchList', 'GET', params);
}

export const getReportShareForm = (params) => {
	return WeaTools.callApi('/api/kq/reportshare/getReportShareForm', 'GET', params);
}

export const saveReportShare = (params) => {
	return WeaTools.callApi('/api/kq/reportshare/saveReportShare', 'POST', params);
}

export const deleteReportShare = (params) => {
	return WeaTools.callApi('/api/kq/reportshare/deleteReportShare', 'POST', params);
}